| Home | Libraries | People | FAQ | More

## Function template not1

boost::compute::not1

## Synopsis

    // In header: <boost/compute/functional/logical.hpp>

    template<typename Predicate>
      unary_negate< Predicate > not1(const Predicate & predicate);

## Description

Returns a unary_negate adaptor around `predicate`.

Parameters:

`predicate` | the unary function to wrap

Returns: | a unary_negate wrapper around `predicate`